Bug 1669156 - connection re-use does not work for SCP and SFTP
Summary: connection re-use does not work for SCP and SFTP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: curl
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Kamil Dudka
QA Contact: Daniel Rusek
URL:
Whiteboard:
Depends On: 1681019
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-24 13:43 UTC by Kamil Dudka
Modified: 2019-11-05 22:41 UTC (History)
2 users (show)

Fixed In Version: curl-7.61.1-9.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:40:50 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3701 None None None 2019-11-05 22:41:02 UTC

Description Kamil Dudka 2019-01-24 13:43:52 UTC
Version-Release number of selected component (if applicable):
curl-7.61.1-8.el8


How reproducible:
Easily.


Steps to Reproduce:
1. Perform two or more subsequent SCP or SFTP requests that satisfy the conditions for connection re-use.


Actual results:
(lib)curl repeatedly connects to server before each request is performed.


Expected results:
Existing connections are re-used.


Additional info:
https://github.com/curl/curl/issues/3491


Upstream commit:
https://github.com/curl/curl/commit/curl-7_63_0-106-g15c94b310

Comment 1 Kamil Dudka 2019-02-18 17:49:55 UTC
fixed in curl-7.61.1-10.fc29

Comment 11 errata-xmlrpc 2019-11-05 22:40:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3701


Note You need to log in before you can comment on or make changes to this bug.